#Create order
#Request Path
/api/v2/payment/merchant/createorder#Parameter list
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderId | String | 32 | Yes | The unique Order Number of the merchant, which can be used to query transaction results. |
| title | String | 100 | No | Order title |
| description | String | 200 | No | Order description |
| userId | String | 50 | No | The unique id of the user on the merchant. |
| userMobileNo | String | 15 | No | User's mobile phone number will be displayed on the cashier page default. Support multiple formats e.g. 07011698742 or 7011698742 or 023407011698742 or 02347011698742 Area code format |
| amount | Long | - | Yes | Transaction amount (minimum unit: kobo) Minimum amount: 10,000 kobo |
| currency | String | 10 | Yes | Currency (NGN) |
| notifyUrl | String | 200 | Yes | Receive transaction result notification url |
| callBackUrl | String | 200 | Yes | After the payment is completed, the H5 page returns the url specified by the merchant. |
| orderExpireTime | Integer | - | No | Order validity period duration. (Unit: seconds) The expiration time of unpaid orders. Default value: 1800s (30mins) Interval: 1800s ≤ orderExpireTime ≤ 86400s (Maximum 24 hours, minimum 30mins) |
| remark | String | 200 | No | Remarks |
| goodsDetails | String | - | Yes/No | JSONArray string format, see:Product Details;required for global merchants |
| productType | String | 100 | Yes | Fixed transmission bank_transfer |
| splitDetail | String | - | No | JSON string format, see:Split Payments,If an account is to be divided, it is required |
#Return value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| orderNo | String | 32 | Yes | PalmPay platform Order No. |
| orderStatus | Integer | 20 | Yes | Order status (see order Status ) |
| message | String | 50 | No | Status Description |
| checkoutUrl | String | 200 | No | Pull up the H5 payment url |
| payerAccountType | Integer | 20 | No | Account type (pay with bank transfer -1) |
| payerAccountId | String | 200 | No | Unique account id (returned when -1) |
| payerBankName | String | 200 | No | Bank name of virtual account (returned when -1) |
| payerAccountName | String | 200 | No | Account name of virtual account(returned when -1) |
| payerVirtualAccNo | String | 200 | No | Virtual account number (returned when -1) |
| sdkSessionId | String | 32 | Yes | Parameters required to pull up the SDK using a secure dynamic key |
| sdkSignKey | String | 32 | Yes | Parameters required to pull up the SDK using a secure dynamic key |
| currency | String | 10 | Yes | Currency (NGN) |
| orderAmount | Long | - | Yes | Transaction amount |
#Error Code
#Postman Example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/createorder' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{
"requestTime":1662171389940,
"version":"V1.1",
"nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
"amount":200,
"notifyUrl":"https://xx.cn/callback/payment",
"orderId":"testc9ffae997fc1",
"title":"pay",
"description": "pay some thing",
"userId":"110",
"userMobileNo":"07011698742",
"currency": "NGN",
"callBackUrl": "http://returnurl",
"goodsDetails": "[{\"goodsId\": \"1\"}]",
"productType":"bank_transfer",
"splitDetail": "{\"isSplit\":true,\"splitAmountType\":1,\"splitFeeType\":1,\"splitMerchantList\":[{\"splitMerchantId\":\"A\",\"splitAmount\":100,\"remark\":\"\"},{\"splitMerchantId\":\"B\",\"splitAmount\":100,\"remark\":\"\"}]}"
}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": {
"orderNo": "2424220903032435363613",
"orderStatus": 1,
"message": "success",
"checkoutUrl": "https://openapi.transspay.net/open-api/api/v1/payment/h5/redirect?orderNo=2424220903032435363613&userId=110&sign=18FC68963B01E5B2EBE71A59F5D70AE70D66D4798F11B1632B08B4EB084948DC&key=4cca233f40b1dfb1b4600c7dfdaf3ee2",
"payMethod": "bank_transfer",
"orderAmount": 200,
"currency": "NGN"
}
}